p::before {
  content: "hello";
  display: block;
  background: black;
  font-weight: bold;
  font-size: 2rem;
  color: red;
}

p::after {
  content: "after";
  display: block;
  width: 50px;
  height: 50px;
  background: green;
}

div {
  width: 60vw;
  margin: 100px auto;
  border: 2px solid red;
}

img {
  width: 100%;
  display: block;
}

/* img::before {
    content: "hello";
} */

div::before {
  content: "";
  border: 2px solid gray;
  width: 100%;
  height: 100%;
  position: absolute;
  box-sizing: border-box;
  top: -40px;
  left: -40px;
  z-index: -2;
  transition: all 0.5s linear;
}

div::after {
  content: "";
  background: gray;
  width: 100%;
  height: 100%;
  position: absolute;
  box-sizing: border-box;
  top: -20px;
  left: -20px;
  z-index: -1;
  transition: all 0.5s linear;
}

div:hover::after,
div:hover::before {
  top: 0;
  left: 0;
}
